> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noqa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Apps

> List all apps in workspace (Public API with API Key authentication)



## OpenAPI

````yaml /openapi.json get /v1/apps/
openapi: 3.1.0
info:
  title: NOQA Public API
  description: >-
    Public API for mobile app testing automation. Authenticate using API Key in
    x-api-key header.
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
paths:
  /v1/apps/:
    get:
      tags:
        - Apps
        - apps
      summary: List Apps
      description: List all apps in workspace (Public API with API Key authentication)
      operationId: list_apps_v1_apps__get
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: API Key for authentication
            title: X-Api-Key
          description: API Key for authentication
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AppResponse'
                title: Response List Apps V1 Apps  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AppResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Application ID
        name:
          type: string
          title: Name
          description: Application name
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Last update timestamp
        app_context:
          anyOf:
            - type: string
            - type: 'null'
          title: App Context
          description: Application context
      type: object
      required:
        - id
        - name
        - created_at
        - updated_at
      title: AppResponse
      description: Public app response
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication. Get your API key from NOQA dashboard.

````